Instalé plugin buddypress ,ahora no accedo al admin del blog

Inicio Foros Otros WordPress y similares Multisitio – BuddyPress Instalé plugin buddypress ,ahora no accedo al admin del blog

Este debate contiene 23 respuestas, tiene 4 mensajes y lo actualizó  elfokalin hace 8 años, 5 meses.

  • Autor
    Publicaciones
  • #16780

    preguntarix
    Participante

    <p>Al instalar plugin buddypress me sale "No tienes autorización para acceder a esta página" en el admin del blog, lo instalé en un woprpress actualizado a 2.9.2,<br />
    El blog se sigue vendo perfectamente pero no puedo entrar al admin, ni al login<br />
    Lo instale desde el escritorio del wp,<br />
    El primer mensaje lo vi al darle a activar plugin.</p>
    <p>Supongo que es cosas de permisos chmod, pero como nuca usé buddy mejor pregunto antes. ¿o hay que modificar algo en el plugin desde ftp? </p>
    <p>Menos mal que lo hice en un blog destinado a pruebas, pero estoy pergeniando un par de proyectos de redes sociales para lo que quiero comenzar a dominar buddypress, bueno estoy esperando al wp 3.0<br />
    para no tener que actualizar a los pocos días, y la fución con mu suena interesante.</p>
    <p>la url: http://www.aassaapp.com/pruebas/wp2.6/
    </p>

  • #39555

    Diego Vazquez
    Participante

    Por lo visto hay conflictos, lo que debes hacer es acceder por ftp y borrar la carpeta budypress de la carpeta plugins

  • #39556

    preguntarix
    Participante

    Ok, ¿ entonces ese plugín no funciona?

    Seguiré esperando el wp 3.0 antes se seguir probando.

  • #39557

    Diego Vazquez
    Participante

    a veces no funciona con tu tema o con conflicto de plugins espera a actualizaciones de budypress y si no funcionan borrala carpeta

  • #39558

    preguntarix
    Participante

    ok ¿Que plantillas puedo usar?
    ¿hay una lista de pluginsn incompatibles?

    bueno los desactivaré o eliminaré todos, y pondré una plantilla compatible, luego vovlveré a instalarlo ¿que te parece?

    Gracias.

  • #39560

    Diego Vazquez
    Participante

    si buscas con el buscador de temas una de las opciones es “[b]budypress[/b]” lo que te da temas compatibles

  • #39567

    preguntarix
    Participante

    Bien, al quitar el plug de buddy se arregla pero al intentar instalar las plantillas para buddypress me sale lo siguiente:
    [quote]Temas dañados
    Los siguientes temas están instalados pero incompletos. Los temas deben tener una hoja de estilo y una plantilla.
    Nombre Descripción
    BuddyPress Widget Theme Falta la plantilla.
    Unplugged Falta la plantilla.[/quote]
    o directamente me queda en blanco hasta que quito la plantilla por ftp

  • #39676

    imported_j.conti
    Participante

    Estas intentando activar un child theme sin tener activado BuddyPress.

    Lo que me da que tu problema anterior era por un conflicto de themes.

    Si tienes algún theme en el subdirectorio de themes, que use BP, elimínalo.

    El child theme, no debe ser compatible con el BP que intentas instalar, que supongo que será BP 1.2.3

    BP, funciona perfectamente sobre WP single, así que algo no estabas haciendo correctamente.

    Un saludo

  • #39686

    preguntarix
    Participante

    Primero simplemente intenté instalar y activar BP (no tenía ningún theme de BP confiaba en que como avía leído bp trae uno que es el que mejor funciona. Al intentar activarlo inmediatamente luego de instalarlo, me salió el primer [quote]“No tienes autorización para acceder a esta página” [/quote]dejándome sin acceso al admin.

    Luego intenté instalar unas plantillas de BP para luego instalar el BP aí fue donde el siguiente mensaje Temas dañados
    [quote]Los siguientes temas están instalados pero incompletos. Los temas deben tener una hoja de estilo y una plantilla.
    Nombre Descripción
    BuddyPress Widget Theme Falta la plantilla.
    Unplugged Falta la plantilla.[/quote]

    Entonces usé un pak de plantillas del plug buddypress-widget-theme pude activar una pero al volver a instalar y activar BP otra vez [quote]“No tienes autorización para acceder a esta página” [/quote]

    Ahora el resultado es este:
    http://www.aassaapp.com/pruebas/wp2.6/
    bp activado, ningún otro plug,
    una plantilla activada (sin estar seguro de que sea compatible con la ultima versión de bp)
    el sitio se ve y funciona correctamente con la platilla bp pero resulta imposble logearme, vuelve continuamente al index.

    Las repreguntas son.

    ¿Como hago para activar una plantilla apta para BP por ejemplo la BPdefault si [b]no puedo activar bp sin una plantilla para bp y no puedo activar una plantilla para bp sin activar una bp[/b]?

    [quote]BP, funciona perfectamente sobre WP single, así que algo no estabas haciendo correctamente.[/quote] 😳 ¿si pero el que?, el wp actualizado a 2.9.2 estaba funcionado perfectamente, entonces instale e intente activar el plug de bp desde la propia función de instalar plugs en el escritorio del wp. y al intentar activar ya sin acceso ¿que es lo que se puede hacer mal en este procedimiento?, incluso probé dando permisos 777 a muchos componentes.

    ¿hay alguna config necesaria en apache o php ini que pueda afectar a bp y no a wp? no vaya que tenga que modificar la config de mi servidor.

    y otra pregunta ¿por que me metí en esto? 🙂

    Gracias por todo.

  • #39697

    preguntarix
    Participante

    me olvidaba de otro dato: los links de las herramientas, : actividad, miembros y grupos devuelven “not faund”

  • #39719

    imported_j.conti
    Participante

    ¿Has implementado los enlaces permanentes?

    BP necesita que esté implementado el permanlink de forma que no sea el predeterminado.

  • #39723

    preguntarix
    Participante

    No, no lo hice, entonces: ¿vale cualquiera de las otras opciones que no sean la que viene por defecto?, ¿debo modificar el .htaccess)
    Gracias por seguir intentando ayudar.

  • #39724

    imported_j.conti
    Participante

    Si, cualquier opción, excepto la de por defecto.

    Si wp no puede escribir en el .htaccess, si que deberás modificarlo tú.

  • #40480

    preguntarix
    Participante

    Hola, antes que todo quiero agradecer los intentos de ayudar, en realidad ayudas concretas…
    Desaparecí un par de semanas por estar de viaje no por desagradecido ni por rendirme en esto de tener una red social y plataforma de blogs.
    Lo que sucede es que hice los procedimientos en desorden y ahora…
    El resultado es que como no puedo logearme no puedo modificar la configuración de los permalinks y si ahora quito e plug budyypress , el sitio queda en blanco (supongo que por estar activada una plantilla para buddypress) vaya!!!
    En resumen volví a subirle el plug buddypress, para que al menos se sigan viendo los contenidos por que hay algún experimento interesante publicado en otras páginas.
    Opté por instalar la beta del 3.0 para seguir con eso, y depaso hago una experincia mas parecidad a la que me encontré cuando saquen la 3.0 estable que es caundo pienso trabajar en mis futuros proyectos, estoy postergando estos proyectos en post de la espera del 3.0 espero que no se demoren mucho 🙂

    [b]Entonces ahora que ya tengo una instalación de 3.0 beta. (no encuentro donde activar el MU)
    Mi objetivo es usar este 3.0 beta para una red social con plataforma de blogs, lease buddypress y mu.
    ¿ entonces por donde comienzo? ¿inicio otro hilo o seguimos en este?[/b]

  • #40486

    imported_j.conti
    Participante

    Hola,

    Hace ya muuuucho timpo que activé la funcionalidad Red (antiguamente conocida como MU)

    Si no ha cambiado, en el apartado Opciones, encontrarás un enlace que se denomina Red.

    Aprieta ahí y sigue las instrucciones.

    Esta es la entrada que realicé en su dia sobre WordPress 3.0:

    http://www.buddypress-es.com/noticias/2010/01/20/wordpress-3-0-traduccion-al-espanol-y-mis-primeras-impresiones/

    Te la pongo ya que hice unos comentarios sobre su activación. Lógicamente, ya puede estar obsoleta.

    El archivo de traducción de WP 3.0 beta 1 lo puedes descargar desde aquí:

    http://www.buddypress-es.com/noticias/descargas/

    Otra cosa;

    Si tu intención es realizar pruebas con WP3 y BP, usa BP Trunk, o no te funcionará.

    Descarga BP Trunk desde aquí:

    http://trac.buddypress.org/browser/trunk

    Te aviso, que BP trunk, no es estable por un lado y por elotro, es diferente.

    Cuando lo actives verás a que me refiero.

    Si te descargas la traducción de BP Trunk al español, no lo pongas dentro antes de activar BP o se te irá todo al traste….

    Encontrarás la traducción de BP Trunk aquí:

    http://i18n.svn.buddypress.org/es_ES/trunk/

    Tengo que abrir un ticket al respecto de esto, hay un problema muy gordo si se activa BP con el archivo de traducción dentro de bp-languages

    Aun así, no te chutará muy bien, aun están adaptandolo.

    Un saludo

  • #40491

    preguntarix
    Participante

    jajaja, mi 3.0 beta no la bajé desde el trunk (eso por no preguntar antes, ahora tengo una beta del 3.0 que no se diferencia mucho de la 2.9.2 , lo pero es que en opciones no tiene lo de red (no lo tendrá o lo tiene en otro lado)
    Me parce que esto de ser aprendiz y betatester al mismo tempo o es buena idea. 😳
    Eso si, gracias ya la tengo en Castellano.

  • #40548

    imported_j.conti
    Participante

    Hola,

    Por razones de la traducción, para probar que todo vaya quedando bien, he reinstalado WordPress 3.0

    Para activar la Red, debes añadir, en primer lugar, esta línea en el archivo wp-config.php

    Lo pones justo antes de:

    Una vez que lo hayas hecho, accedes a la administración, y en “Herramientas” verás que te sale “Red”

    Aprieta en Red y sigue todas las instrucciones.

    Deberás añadir unas líneas al archivo wp-config.php y crear un .htaccess nuevo.

    Un saludo

  • #40555

    preguntarix
    Participante

    [b]!Gracias Conti¡ [/b] ya tengo la red de sitios funcionando http://www.aassaapp.com/pruebas/wp30/ , ahora a configurarla, por el momento ya descubrí que las plantillas del wp normal no funcionan.
    Una vez tenga configurado el mu a mi gusto vemos como convertirlo en una red social.

  • #40557

    imported_j.conti
    Participante

    De nada 🙂

    Un saludo

  • #40558

    imported_j.conti
    Participante

    Al respecto del tema de las plantillas de wordpress, ya hace un tiempo, lo comenté en mi blog:

    http://www.buddypress-es.com/noticias/2010/01/28/advertencias-sobre-wordpress-3-0-aun-estais-a-tiempo-y-nuevo-archivo-de-traduccion/

    Exactamente el 28 de Enero, pero no se porqué, una entrada que para mi es importantísima, pasó sin pena ni gloria… por el contrario, otras que para mi son “tonterias” me llegan a la portada de Bitacoras.

    Mucha gente se va a pegar un susto cuando actualice a WP3.0

    WP3.0 está eliminando y cambiando muchas funciones, y más de uno, el dia que actualice se va a encontrar que no le va el theme.

    Por ejemplo, cualquier theme que fuera creado expresamente para (creo recordar) wp 2.8.4 o inferior, directamente, no funcionara, según que versión, puede que WP te guie para que funcione.

    Cuidado, segun como esté realizado, puede que funione o que simplemente no pueda utilizar todas las funciones.

    Pero bueno, más tráfico para los foros 🙂

    Un saludo

  • #40670

    preguntarix
    Participante

    Primeros problemas… pero sin quejas. cosas de usar beta y otras mi ignorancia.
    Ahora pienso terminar de entender y configurar el worpdress en función de red para una vez que este a mi gusto y lo comprenda bien, intentar convertirlo en red social con buddy.

    1)No entiendo el funcionamiento de las plantillas en wordpress red (antes mu), digamos que estoy trabajando solo con la que viene por defecto. y quiero modificara solo para el blog principal, pero que los usuarios la puedan modificar a su gusto, [b]Los usuarios no tienen la opción de editor en el menú apariencia[/b], si lo tengo en el admin, creo recordador que en wordpress.com si está la opción aunque hay que pagar para que e den los permisos.

    1) en mi wp3.0 beta1 no puedo actualizar desde la consola, se queda donde dice descomprimiendo, sin envergo la leyenda me dice ud usa una beta ¿ quiere actualizarla? lo mismo al intentar cargar platillas desde la consola, se queda en descomprimiendo… (eso suponiéndolo que las plantillas ofrecidas en esta función sean las aptas para el 3.0 en red y no las mismas que en la 2.9.2) cosas de la que no tengo ni idea. digasmos si el repositorio que veos desde esta beta es es correspondiente a esta o es que mismo de siempre. a co… me acabo de dar cuenta de seguro que se pueden buscar marcando en los chekbox ) ¿o es que en esta beta esas funciones automáticas no funcionan bien??

    ¿como puedo hacer para que los usaros puedan ver una lista de usuarios y blogs?
    ¿como puedo hacer para tener una lista pública de los blogs de la red.?

    [b]Posdata: Conti ,[/b] si que leí el psot de las plantillas o me lo contaste tu en este foro pero supuse mal que las clasic y default sacadas de la 2.9.2 funcionarían.

    ¿todo muy confuso? lo siento, es mi estado después de tanto furrular con códigos y ftps 🙄 jejej, si no se entinden mis preguntas digamelo que ontentaré aclararlas.

  • #40673

    preguntarix
    Participante

    me olvidaba de que no dispongo de widgets para la plantilla, es la que viene por defecto. en la 30beta1

  • #40703

    preguntarix
    Participante

    Una concreta ¿como puedo saber que plantillas puedo usar para el worpess3.0 en función de red?

  • #42568

    elfokalin
    Participante

    Hola yo tambien tenia el mismo problema cuando instale el buddypres, bueno yo lo solcione de la siguiente forma.

    Si te das cuenta el tuy entra perfectamente en contacto ahora mira la url “http://www.aassaapp.com/pruebas/wp2.6/?page_id=7”

    ?page_id=7 —> esta activado para encontrar cualquier pagina siempre y cuando la url venga de esta forma , $nombrede_variable = $valor_de_variable.

    En los otros items o menu que pertncen al buddy press

    http://www.aassaapp.com/pruebas/wp2.6/members/ –> tienes asi la forma de llamado es totalmente diferente en el primero lo llmar nombre de variable = al valor de variable y en el segundo esta enmascarado “members”.

    Como lo solucionas de la siguete manera.

    Entra al administrador. vas a OPCIOCNES->Opciones de los enlaces permanentes

    Ahi cambias por el que dice numerico. en mi caso esta “http://localhost/wordpress-2.9.2-es/archives/123”

    das grabar y listo pruebas.

    S te das cuenta “archives/123” esto es muy parecido al enamascado que maneja el buddypress.

    Cualquier cosa puedes escribirme al correo [email protected]

    En realidad yo recien estoy agarrando el word press, pero he manejado otrs gestores de cms, y ya tengo años programando.

    en lo que pueda ayudarte encantado, porque creo que todos necesitams de todo. derrepnte te moleste sobre alguna consulta.

    Brother, un abrazo

El foro ‘Multisitio – BuddyPress’ está cerrado y no se permiten nuevos debates ni respuestas.

Pin It on Pinterest